services: 
    # Path controller
    innova_path.controller.path:
        class: %innova_path.controller.path.class%
        arguments:
            pathManager:       @innova_path.manager.path
            publishingManager: @innova_path.manager.publishing
        scope: request

    # Path template controller
    innova_path.controller.path_template:
        class: %innova_path.controller.path_template.class%
        arguments:
            formFactory:         @form.factory
            pathTemplateManager: @innova_path.manager.path_template
            pathTemplateHandler: @innova_path.form.handler.path_template
        scope: request
        
    # Player controller
    innova_path.controller.path_player:
        class: %innova_path.controller.path_player.class%
        arguments:
            objectManager: @doctrine.orm.entity_manager
            pathManager:   @innova_path.manager.path
        scope: request
          
    # Editor controller
    innova_path.controller.path_editor:
        class: %innova_path.controller.path_editor.class%
        arguments:
            objectManager:   @doctrine.orm.entity_manager
            router:          @router
            formFactory:     @form.factory
            resourceManager: @claroline.manager.resource_manager
            pathManager:     @innova_path.manager.path
        scope: request

    # User Progression controller
    innova_path.controller.user_progression:
        class: %innova_path.controller.user_progression.class%
        arguments:
            userProgressionManager: @innova_path.manager.user_progression
        scope: request
